%define upstream_name    Astro-FITS-Header
%define upstream_version 3.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface to FITS headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Astro/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Stores information about a FITS header block in an object. Takes an hash
with an array reference as an arguement. The array should contain a list of
FITS header cards as input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc GPL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.70.0-3.mga4
+ Revision: 509158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.70.0-2.mga3
+ Revision: 363195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 3.70.0-1.mga3
+ Revision: 285095
- update to 3.07

* Wed Jul 04 2012 jquelin <jquelin> 3.50.0-1.mga3
+ Revision: 267263
- update to 3.05

* Sun Jan 09 2011 jquelin <jquelin> 3.30.0-1.mga1
+ Revision: 1786
- imported package perl-Astro-FITS-Header

